Bug 39357 - ant-trax.jar includes Xalan2Executor from the junit package
Summary: ant-trax.jar includes Xalan2Executor from the junit package
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: Optional Tasks (show other bugs)
Version: 1.6.5
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: Ant Notifications List
URL:
Keywords: ErrorMessage
Depends on:
Blocks:
 
Reported: 2006-04-19 16:45 UTC by Brian Curnow
Modified: 2006-07-03 12:10 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Curnow 2006-04-19 16:45:20 UTC
The ant-trax.jar contains the class
org.apache.tools.ant.taskdefs.optional.junit.Xalan2Executor. This causes
problems when attempting to taskdef the junitreport task
(org.apache.tools.ant.taskdefs.optional.junit.XMLResultAggregator) where
junit.jar and ant-junit.jar are not in the ANT_HOME/lib directory. Basically you
get a NoClassDefFound error on Xalan2Executor since the classloaders don't match.

As far as I was able to tell Xalan2Executor is not actually used by the ant-trax
classes.

Right now my workaround is to remove ant-trax.jar from the ANT_HOME/lib
directory since I don't use trax.
Comment 1 Antoine Levy-Lambert 2006-06-30 23:52:59 UTC
Xalan2Executor will not be used by junitreport in Ant 1.7.
So we can close this issue.
Comment 2 Brian Curnow 2006-07-03 11:22:52 UTC
(In reply to comment #1)
> Xalan2Executor will not be used by junitreport in Ant 1.7.
> So we can close this issue.

No you can't. The fact remains that Xalan2Executor is not part of ant-traxx and
should be removed from the jar regardless of whether junitreport uses it.
Comment 3 J.M. (Martijn) Kruithof 2006-07-03 19:10:49 UTC
The files in ant-XXXX are the files in ant depending on XXXX, as Xalan2Executor
depends on trax, (and not on junit,) Xalan2Executor belongs in ant-trax.
Xalan2Executor has no relation to junit (anymore).

Marking as fixed, as the exception described in the original report doesn't
occur anymore according to Antoine.